 /**
 *                                                                             *
 * @file MyGraphicsView.h                                                      *
 * Project name: HeKatE hqed                                                   *
 * $Id: ardGraphicsView.h,v 1.20 2009-05-13 10:28:17 kinio Exp $                 *
 * Author: Krzysztof Kaczor                                                    *
 * Date: 12.10.2007                                                            *
 *                                                                             *
 * Implementation by Krzysztof Kaczor <kinio4444@gmail.com>                    *
 *                                                                             *
 * Copyright (C) 2006-9 by the HeKatE Project                                  *
 *                                                                             *
 * HQEd has been develped within the HeKatE Project,                           *
 * see http://hekate.ia.agh.edu.pl                                             *
 *                                                                             *
 * This file is part of HQEd.                                                  *
 *                                                                             *
 * HQEd is free software: you can redistribute it and/or modify                *
 * it under the terms of the GNU General Public License as published by        *
 * the Free Software Foundation, either version 3 of the License, or           *
 * (at your option) any later version.                                         *
 *                                                                             *
 * HQEd is distributed in the hope that it will be useful,                     *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with HQEd.  If not, see <http://www.gnu.org/licenses/>.               *
 *                                                                             *
 * Comment: Plik zawierajacy definicje klasy pochodnej elementu bedacego       *
 * ekranem na ktorym rysowana jest scena                                       *
 *                                                                             *
 */


#ifndef ARDGRAPHICSVIEWH
#define ARDGRAPHICSVIEWH
// -----------------------------------------------------------------------------

#include <QGraphicsView>
// -----------------------------------------------------------------------------

class QGraphicsView;
// -----------------------------------------------------------------------------

class ardGraphicsView : public QGraphicsView
{
    Q_OBJECT
     
public:

     /// Konstruktory klasy
     ardGraphicsView(QWidget* oParent = 0);
	
	/// Metoda wobslugujaca zdarzenie upuszczania pliku na obszar okienka
	void dragEnterEvent(QDragEnterEvent*);
	
	/// Metoda wobslugujaca zdarzenie upuszczania pliku na obszar okienka
	void dropEvent(QDropEvent*);
	
	/// Metoda wywolywana w momencie poruszania myszka z trzymanym elementem
	void dragMoveEvent(QDragMoveEvent*);
	
	/// Metoda wywolywana w momencie przekrecenie kolkiem na myszce
	void wheelEvent(QWheelEvent*);
};
// -----------------------------------------------------------------------------
#endif
